<?php

/**
 * This file is part of the apiadmin/tiktok.
 */

namespace App\Libs\TikTok\MiniProgram\Share;

use Pimple\Container;
use Pimple\ServiceProviderInterface;

/**
 * Share ServiceProvider.
 *
 * @author dysodeng <dysodengs@gmail.com>
 */
class ServiceProvider implements ServiceProviderInterface {
    /**
     * {@inheritdoc}.
     */
    public function register(Container $pimple): void {
        $pimple['share'] = static function($app) {
            return new Client($app);
        };
    }
}
